#include <iostream>
#include <bitset>
#include <cstddef>

using namespace std;

int main() {
  bitset<8> s("11110000");

  for (size_t i = 0; i < 8; i++)
    cout << "s[" << i << "]: " << s[i] << endl;

  return 0;
}
